SuperLU: SRC/mc64ad.c File Reference

SuperLU 7.0.0

Macros | Functions
mc64ad.c File Reference
`#include "slu_ddefs.h"`
Include dependency graph for mc64ad.c:

## Macros
#define | abs(a) ((a) >= 0) ? (a) : -(a)
#define | min(a, b) ((a) < (b)) ? (a) : (b)

## Functions
int_t | mc64id_ (int_t *icntl)
int_t | mc64ad_ (int_t *job, int_t *n, int_t *ne, int_t *ip, int_t *irn, double *a, int_t *num, int *cperm, int_t *liw, int_t *iw, int_t *ldw, double *dw, int_t *icntl, int_t *info)
int_t | mc64bd_ (int_t *n, int_t *ne, int_t *ip, int_t *irn, double *a, int *iperm, int_t *num, int_t *jperm, int_t *pr, int_t *q, int_t *l, double *d__)
int_t | mc64dd_ (int_t *i__, int_t *n, int_t *q, double *d__, int_t *l, int_t *iway)
int_t | mc64ed_ (int_t *qlen, int_t *n, int_t *q, double *d__, int_t *l, int_t *iway)
int_t | mc64fd_ (int_t *pos0, int_t *qlen, int_t *n, int_t *q, double *d__, int_t *l, int_t *iway)
int_t | mc64rd_ (int_t *n, int_t *ne, int_t *ip, int_t *irn, double *a)
int_t | mc64sd_ (int_t *n, int_t *ne, int_t *ip, int_t *irn, double *a, int *iperm, int_t *numx, int_t *w, int_t *len, int_t *lenl, int_t *lenh, int_t *fc, int_t *iw, int_t *iw4)
int_t | mc64qd_ (int_t *ip, int_t *lenl, int_t *lenh, int_t *w, int_t *wlen, double *a, int_t *nval, double *val)
int_t | mc64ud_ (int_t *id, int_t *mod, int_t *n, int_t *irn, int_t *lirn, int_t *ip, int_t *lenc, int_t *fc, int_t *iperm, int_t *num, int_t *numx, int_t *pr, int_t *arp, int_t *cv, int_t *out)
int_t | mc64wd_ (int_t *n, int_t *ne, int_t *ip, int_t *irn, double *a, int *iperm, int_t *num, int_t *jperm, int_t *out, int_t *pr, int_t *q, int_t *l, double *u, double *d__)

## Macro Definition Documentation

## ◆ abs

#define abs | ( |  | a | ) | ((a) >= 0) ? (a) : -(a)

## ◆ min

#define min | ( |  | a,
|  |  | b
| ) |  | ((a) < (b)) ? (a) : (b)

## Function Documentation

## ◆ mc64ad_()

int_t mc64ad_ | ( | int_t * | job,
|  | int_t * | n,
|  | int_t * | ne,
|  | int_t * | ip,
|  | int_t * | irn,
|  | double * | a,
|  | int_t * | num,
|  | int * | cperm,
|  | int_t * | liw,
|  | int_t * | iw,
|  | int_t * | ldw,
|  | double * | dw,
|  | int_t * | icntl,
|  | int_t * | info
| ) |  |

Here is the call graph for this function:

## ◆ mc64bd_()

int_t mc64bd_ | ( | int_t * | n,
|  | int_t * | ne,
|  | int_t * | ip,
|  | int_t * | irn,
|  | double * | a,
|  | int * | iperm,
|  | int_t * | num,
|  | int_t * | jperm,
|  | int_t * | pr,
|  | int_t * | q,
|  | int_t * | l,
|  | double * | d__
| ) |  |

Here is the call graph for this function:

## ◆ mc64dd_()

int_t mc64dd_ | ( | int_t * | i__,
|  | int_t * | n,
|  | int_t * | q,
|  | double * | d__,
|  | int_t * | l,
|  | int_t * | iway
| ) |  |

## ◆ mc64ed_()

int_t mc64ed_ | ( | int_t * | qlen,
|  | int_t * | n,
|  | int_t * | q,
|  | double * | d__,
|  | int_t * | l,
|  | int_t * | iway
| ) |  |

## ◆ mc64fd_()

int_t mc64fd_ | ( | int_t * | pos0,
|  | int_t * | qlen,
|  | int_t * | n,
|  | int_t * | q,
|  | double * | d__,
|  | int_t * | l,
|  | int_t * | iway
| ) |  |

## ◆ mc64id_()

int_t mc64id_ | ( | int_t * | icntl | ) |

## ◆ mc64qd_()

int_t mc64qd_ | ( | int_t * | ip,
|  | int_t * | lenl,
|  | int_t * | lenh,
|  | int_t * | w,
|  | int_t * | wlen,
|  | double * | a,
|  | int_t * | nval,
|  | double * | val
| ) |  |

## ◆ mc64rd_()

int_t mc64rd_ | ( | int_t * | n,
|  | int_t * | ne,
|  | int_t * | ip,
|  | int_t * | irn,
|  | double * | a
| ) |  |

## ◆ mc64sd_()

int_t mc64sd_ | ( | int_t * | n,
|  | int_t * | ne,
|  | int_t * | ip,
|  | int_t * | irn,
|  | double * | a,
|  | int * | iperm,
|  | int_t * | numx,
|  | int_t * | w,
|  | int_t * | len,
|  | int_t * | lenl,
|  | int_t * | lenh,
|  | int_t * | fc,
|  | int_t * | iw,
|  | int_t * | iw4
| ) |  |

Here is the call graph for this function:

## ◆ mc64ud_()

int_t mc64ud_ | ( | int_t * | id,
|  | int_t * | mod,
|  | int_t * | n,
|  | int_t * | irn,
|  | int_t * | lirn,
|  | int_t * | ip,
|  | int_t * | lenc,
|  | int_t * | fc,
|  | int_t * | iperm,
|  | int_t * | num,
|  | int_t * | numx,
|  | int_t * | pr,
|  | int_t * | arp,
|  | int_t * | cv,
|  | int_t * | out
| ) |  |

## ◆ mc64wd_()

int_t mc64wd_ | ( | int_t * | n,
|  | int_t * | ne,
|  | int_t * | ip,
|  | int_t * | irn,
|  | double * | a,
|  | int * | iperm,
|  | int_t * | num,
|  | int_t * | jperm,
|  | int_t * | out,
|  | int_t * | pr,
|  | int_t * | q,
|  | int_t * | l,
|  | double * | u,
|  | double * | d__
| ) |  |

Here is the call graph for this function: